Subject: Re: [PATCH] Teach git-remote to update existing remotes by fetching from them

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 19 Feb 2007 02:32:38 -0500

Junio C Hamano <[email-masked]> wrote:
> "Theodore Ts'o" <[email-masked]> writes:
> 
> > This allows users to use the command "git remote update" to update all
> > remotes that are being tracked in the repository.
> 
> Sounds like a good idea.  Thanks.

<personalwishlist>

It would be nice to define "gang remotes".  For example I want to
be able to have:

  `git fetch cs`  ==  `git fetch cs-one; git fetch cs-two`
  `git fetch jc`  ==  `git fetch origin; git fetch alt`

Why?  Well, I often have multiple remotes setup to the *same*
repository depending on the SSH hostname I want to use to access
that repository.  This has a lot to do with the way my firewalls
are setup and where I'm physically connected at any given time.

Yes, I really do have multiple remotes setup to the access the
same (remote) physical disk.  :)

Possible syntax:

	[remote "cs"]
		remote = cs-one
		remote = cs-two
	[remote "jc"]
		remote = origin
		remote = alt

</personalwishlist>

Obviously this is more work than Ted's nice little patch.  :)

-- 
Shawn.